<?php
class Image_Form_AddDescriptionForm extends Jme_Form
{
	public function init()
	{
		$this->setMethod(Zend_Form::METHOD_POST);
		$this->setAttrib('enctype', 'multipart/form-data');
		
		$description = $this->createElement('textarea', 'description');
		$description->setLabel('Description');
		$description->addValidator('NotEmpty');
		$description->addValidator(new Zend_Validate_StringLength(array('min' => 1, 'max' => 512) ) );
		$description->setRequired(true);
		
		$next = $this->createNextButton();
		
		$this->addElements(array($description, $next) );
		
	}
}