<?php
class Image_Form_AddImageForm extends Jme_Form
{
	public function init()
	{
		$this->setMethod(Zend_Form::METHOD_POST);
		$this->setAttrib('enctype', 'multipart/form-data');
		
		$image = new Zend_Form_Element_File('image');
		$image->setLabel('Image');
		$image->addValidator(new Zend_Validate_File_Extension('jpg,jpeg,gif,png') );
		$image->addValidator('NotEmpty');
		$image->setRequired(true);
		$image->setValueDisabled(true);
		
		$next = $this->createNextButton();
		
		$this->addElements(array($image, $next) );
		
	}
}