<?php 

define('ROOT', dirname(dirname(__FILE__) ) );

define('WWWROOT', ROOT . DIRECTORY_SEPARATOR . 'public');

// Define path to application directory
defined('APPLICATION_PATH')
    || define('APPLICATION_PATH', realpath(dirname(__FILE__) . '/../application'));

defined('MODULE_PATH')
	|| define('MODULE_PATH', realpath(APPLICATION_PATH . '/modules') );    

// Define application environment
defined('APPLICATION_ENV')
    || define('APPLICATION_ENV', (getenv('APPLICATION_ENV') ? getenv('APPLICATION_ENV') : 'testing'));
    
set_include_path(implode(PATH_SEPARATOR, array(
	APPLICATION_PATH . '/entities',
	ROOT . '/library',
	ROOT . '/library/doctrine2-common/lib',
	ROOT . '/library/doctrine2-orm/lib',
	ROOT . '/library/mongodb_odm/lib',
)));   