<?php

class Jme_Controller_Plugin_LayoutSelector extends Zend_Controller_plugin_Abstract
{
    public function preDispatch(Zend_Controller_Request_Abstract $request)
    {
        $config = Zend_Controller_Front::getInstance() ->getParam('bootstrap')->getOptions();
        
        $moduleName = $request->getModuleName();
        
        $iPhoneMode = strstr($_SERVER['HTTP_USER_AGENT'],'iPhone');
        $iPhoneMode = false;
        
        $iphonePrefix = '';
        
        if($iPhoneMode && isset($config['resources']['layout']['iphonePrefix']) )
        {
        	$iphonePrefix = $config['resources']['layout']['iphonePrefix'];	
        }
        
        if (isset($config[$moduleName]['resources']['layout']['layout']) ) {
        	
        	if($iPhoneMode && isset($config[$moduleName]['resources']['layout']['iphonePrefix']) )
        	{
        		$iphonePrefix = $config[$moduleName]['resources']['layout']['iphonePrefix'];
        	}
        	
            $layoutScript = $iphonePrefix . $config[$moduleName]['resources']['layout']['layout'];
            Zend_Layout::getMvcInstance()->setLayout($layoutScript);
        }
 		else if(isset($config['resources']['layout']['layout']) )
 		{
 			$layoutScript = $iphonePrefix . $config['resources']['layout']['layout'];
 		   	Zend_Layout::getMvcInstance()->setLayout($layoutScript);
 		}
 		
        if (isset($config[$moduleName]['resources']['layout']['layoutPath']) ) 
        {
            $layoutPath = $config[$moduleName]['resources']['layout']['layoutPath'];
            
            $moduleDir = Zend_Controller_Front::getInstance()->getModuleDirectory();
            Zend_Layout::getMvcInstance()->setLayoutPath(
                $moduleDir. DIRECTORY_SEPARATOR .$layoutPath
            );
            //die($moduleDir. DIRECTORY_SEPARATOR .$layoutPath . ": " . $layoutScript);
            
           	Zend_Layout::getMvcInstance()->setLayout($layoutScript);
        }
        else if(isset($config['resources']['layout']['layoutPath']) )
        {
        	Zend_Layout::getMvcInstance()->setLayoutPath(
                $config['resources']['layout']['layoutPath']
            );
        }
    }
}